Ticket #38482

.dic files vary across builds

Open Date: 2018-08-09 00:12 Last Update: 2019-01-26 13:59

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
7
Severity:
7
Resolution:
Fixed
File:
None

Details

When working on reproducible builds for openSUSE, I found that our fwnn package varied for every build because .dic files had the current time, build host name and inode numbers in their headers. I have created a patch to use fixed values instead, but dont know if that will disturb normal operation.

Ticket History (3/7 Histories)

2018-08-09 00:12 Updated by: bmwiedemann
  • New Ticket ".dic files vary across builds" created
2018-08-09 00:18 Updated by: bmwiedemann
Comment

http://rb.zq1.de/patches/fwnn.patch Please review/test/improve/discuss/merge

(Edited, 2018-08-09 00:22 Updated by: bmwiedemann)
2018-08-12 12:41 Updated by: itisango
Comment

I checked your patch file.

FreeWnn with your patch can not read dictionaries. So we can not accept your patch.

Please see https://osdn.net/projects/freewnn/lists/archive/users/2018-August/000313.html

2019-01-03 23:06 Updated by: itisango
  • Owner Update from (None) to itisango
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 1.1.1-a024 (予定)リリース
  • Severity Update from 5 - Medium to 7
  • Priority Update from 5 - Medium to 7
Comment

!!! Request For Comments !!!

I wrote a patch.

I wait untill 2019-01-18 (+0900). If it has no problem, I'm going to commit this patch to the CVS repository.

Please see: https://osdn.net/projects/freewnn/lists/archive/users/2019-January/000320.html

2019-01-04 00:39 Updated by: None
Comment

I backported your patch to FreeWnn-1.1.1 and it indeed made the package build reproducible. So it is very good from my perspective. I cannot check that it still works, though.

Comment

I backported your patch to FreeWnn-1.1.1 and it indeed made the package build reproducible. So it is very good from my perspective. I cannot check that it still works, though.

2019-01-20 21:22 Updated by: itisango
  • Resolution Update from Accepted to Fixed
Comment

Done.

2019-01-26 13:59 Updated by: itisango
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login